Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast
Class FieldNode

Represents a field (member variable)

author:
  James Strachan

version:
  $Revision: 11961 $

Field Summary
`boolean` | `closureShare`
`boolean` | `dynamicTyped`
`boolean` | `holder`
`Expression` | `initialValueExpression`
`int` | `modifiers`
`String` | `name`
`ClassNode` | `owner`
`ClassNode` | `type`

Constructor Summary
`FieldNode(String name, int modifiers, ClassNode type, ClassNode owner, Expression initialValueExpression)`

Method Summary
`Expression` | `getInitialExpression()`
`Expression` | `getInitialValueExpression()`
`int` | `getModifiers()`
`String` | `getName()`
`ClassNode` | `getOriginType()`
`ClassNode` | `getOwner()`
`ClassNode` | `getType()`
`boolean` | `hasInitialExpression()`
`boolean` | `isClosureSharedVariable()`
`boolean` | `isDynamicTyped()`
`boolean` | `isHolder()`
`boolean` | `isInStaticContext()`
`boolean` | `isStatic()`
`static FieldNode` | `newStatic(Class theClass, String name)`
`void` | `setClosureSharedVariable(boolean inClosure)`
`void` | `setHolder(boolean holder)`
`void` | `setInitialValueExpression(Expression initialValueExpression)`
`void` | `setModifiers(int modifiers)`
`void` | `setOwner(ClassNode owner)`
`void` | `setType(ClassNode type)`

Constructor Detail

### FieldNode

    public FieldNode(String name, int modifiers, ClassNode type, ClassNode owner, Expression initialValueExpression)

Method Detail

### getInitialExpression

    public Expression getInitialExpression()

### getInitialValueExpression

    public Expression getInitialValueExpression()

### getModifiers

    public int getModifiers()

### getName

    public String getName()

### getOriginType

    public ClassNode getOriginType()

### getOwner

    public ClassNode getOwner()

### getType

    public ClassNode getType()

### hasInitialExpression

    public boolean hasInitialExpression()

### isClosureSharedVariable

    public boolean isClosureSharedVariable()

### isDynamicTyped

    public boolean isDynamicTyped()

### isHolder

    public boolean isHolder()

### isInStaticContext

    public boolean isInStaticContext()

### isStatic

    public boolean isStatic()

  return:
    true if the field is static

### newStatic

    public static FieldNode newStatic(Class theClass, String name)

### setClosureSharedVariable

    public void setClosureSharedVariable(boolean inClosure)

### setHolder

    public void setHolder(boolean holder)

### setInitialValueExpression

    public void setInitialValueExpression(Expression initialValueExpression)

### setModifiers

    public void setModifiers(int modifiers)

### setOwner

    public void setOwner(ClassNode owner)

  param:
    owner The owner to set.

### setType

    public void setType(ClassNode type)